For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Entitlements

List plan entitlements

GET
https://api.schematichq.com/plan-entitlements
GET
/plan-entitlements
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.entitlements.listPlanEntitlements({});
8}
9main();
1{
2 "data": [
3 {
4 "created_at": "2024-01-15T09:30:00Z",
5 "currency_prices": [
6 {
7 "currency": "USD",
8 "monthly_price": {
9 "billing_scheme": "per_unit",
10 "created_at": "2024-01-15T09:30:00Z",
11 "currency": "USD",
12 "id": "price_monthly_001",
13 "interval": "month",
14 "interval_count": 1,
15 "is_active": true,
16 "package_size": 1000,
17 "price": 2000,
18 "price_external_id": "ext_price_monthly_001",
19 "price_id": "price_monthly_001",
20 "price_tier": [
21 {
22 "flat_amount": 1000,
23 "per_unit_price": 2,
24 "per_unit_price_decimal": "0.02",
25 "up_to": 10000
26 }
27 ],
28 "product_external_id": "prod_ext_001",
29 "product_id": "prod_001",
30 "product_name": "API Access",
31 "provider_type": "orb",
32 "updated_at": "2024-01-15T09:30:00Z",
33 "usage_type": "licensed",
34 "meter_event_name": "api_calls",
35 "meter_event_payload_key": "count",
36 "meter_id": "meter_001",
37 "nickname": "Monthly API Calls",
38 "price_decimal": "20.00",
39 "tiers_mode": "graduated"
40 },
41 "quarterly_price": {
42 "billing_scheme": "per_unit",
43 "created_at": "2024-01-15T09:30:00Z",
44 "currency": "USD",
45 "id": "price_quarterly_001",
46 "interval": "month",
47 "interval_count": 3,
48 "is_active": true,
49 "package_size": 3000,
50 "price": 5500,
51 "price_external_id": "ext_price_quarterly_001",
52 "price_id": "price_quarterly_001",
53 "price_tier": [
54 {
55 "flat_amount": 2500,
56 "per_unit_price": 1,
57 "per_unit_price_decimal": "0.01",
58 "up_to": 30000
59 }
60 ],
61 "product_external_id": "prod_ext_001",
62 "product_id": "prod_001",
63 "product_name": "API Access",
64 "provider_type": "orb",
65 "updated_at": "2024-01-15T09:30:00Z",
66 "usage_type": "licensed",
67 "meter_event_name": "api_calls",
68 "meter_event_payload_key": "count",
69 "meter_id": "meter_001",
70 "nickname": "Quarterly API Calls",
71 "price_decimal": "55.00",
72 "tiers_mode": "graduated"
73 },
74 "yearly_price": {
75 "billing_scheme": "per_unit",
76 "created_at": "2024-01-15T09:30:00Z",
77 "currency": "USD",
78 "id": "price_yearly_001",
79 "interval": "year",
80 "interval_count": 1,
81 "is_active": true,
82 "package_size": 12000,
83 "price": 20000,
84 "price_external_id": "ext_price_yearly_001",
85 "price_id": "price_yearly_001",
86 "price_tier": [
87 {
88 "flat_amount": 10000,
89 "per_unit_price": 1,
90 "per_unit_price_decimal": "0.01",
91 "up_to": 120000
92 }
93 ],
94 "product_external_id": "prod_ext_001",
95 "product_id": "prod_001",
96 "product_name": "API Access",
97 "provider_type": "orb",
98 "updated_at": "2024-01-15T09:30:00Z",
99 "usage_type": "licensed",
100 "meter_event_name": "api_calls",
101 "meter_event_payload_key": "count",
102 "meter_id": "meter_001",
103 "nickname": "Yearly API Calls",
104 "price_decimal": "200.00",
105 "tiers_mode": "graduated"
106 }
107 }
108 ],
109 "environment_id": "env_prod_01",
110 "feature_id": "feat_analytics_001",
111 "id": "pltl_1234567890",
112 "plan_id": "plan_enterprise_001",
113 "rule_id": "rule_123456",
114 "updated_at": "2024-01-15T09:30:00Z",
115 "value_type": "boolean",
116 "billing_linked_resource": {
117 "billing_provider": "orb",
118 "external_resource_id": "ext_res_12345",
119 "originator": "orb"
120 },
121 "billing_threshold": 5000,
122 "consumption_rate": 0.75,
123 "feature": {
124 "created_at": "2023-12-01T08:00:00Z",
125 "description": "Enables advanced analytics dashboard",
126 "feature_type": "boolean",
127 "icon": "chart-bar",
128 "id": "feat_analytics_001",
129 "name": "Advanced Analytics",
130 "updated_at": "2024-01-10T12:00:00Z",
131 "event_subtype": null,
132 "lifecycle_phase": "ga",
133 "maintainer_account_member_id": "member_789",
134 "plural_name": "Advanced Analytics Features",
135 "singular_name": "Advanced Analytics Feature",
136 "trait_id": null
137 },
138 "metered_monthly_price": {
139 "billing_scheme": "per_unit",
140 "created_at": "2024-01-15T09:30:00Z",
141 "currency": "USD",
142 "id": "metered_price_monthly_001",
143 "interval": "month",
144 "interval_count": 1,
145 "is_active": true,
146 "package_size": 500,
147 "price": 1500,
148 "price_external_id": "ext_metered_price_monthly_001",
149 "price_id": "metered_price_monthly_001",
150 "price_tier": [
151 {
152 "flat_amount": 500,
153 "per_unit_price": 3,
154 "per_unit_price_decimal": "0.03",
155 "up_to": 10000
156 }
157 ],
158 "product_external_id": "prod_ext_data_001",
159 "product_id": "prod_data_001",
160 "product_name": "Data Processing",
161 "provider_type": "orb",
162 "updated_at": "2024-01-15T09:30:00Z",
163 "usage_type": "metered",
164 "meter_event_name": "data_processed",
165 "meter_event_payload_key": "gigabytes",
166 "meter_id": "meter_data_001",
167 "nickname": "Monthly Data Processed",
168 "price_decimal": "15.00",
169 "tiers_mode": "graduated"
170 },
171 "metered_quarterly_price": {
172 "billing_scheme": "per_unit",
173 "created_at": "2024-01-15T09:30:00Z",
174 "currency": "USD",
175 "id": "metered_price_quarterly_001",
176 "interval": "month",
177 "interval_count": 3,
178 "is_active": true,
179 "package_size": 1500,
180 "price": 4200,
181 "price_external_id": "ext_metered_price_quarterly_001",
182 "price_id": "metered_price_quarterly_001",
183 "price_tier": [
184 {
185 "flat_amount": 1400,
186 "per_unit_price": 2,
187 "per_unit_price_decimal": "0.02",
188 "up_to": 30000
189 }
190 ],
191 "product_external_id": "prod_ext_data_001",
192 "product_id": "prod_data_001",
193 "product_name": "Data Processing",
194 "provider_type": "orb",
195 "updated_at": "2024-01-15T09:30:00Z",
196 "usage_type": "metered",
197 "meter_event_name": "data_processed",
198 "meter_event_payload_key": "gigabytes",
199 "meter_id": "meter_data_001",
200 "nickname": "Quarterly Data Processed",
201 "price_decimal": "42.00",
202 "tiers_mode": "graduated"
203 },
204 "metered_yearly_price": {
205 "billing_scheme": "per_unit",
206 "created_at": "2024-01-15T09:30:00Z",
207 "currency": "USD",
208 "id": "metered_price_yearly_001",
209 "interval": "year",
210 "interval_count": 1,
211 "is_active": true,
212 "package_size": 6000,
213 "price": 16000,
214 "price_external_id": "ext_metered_price_yearly_001",
215 "price_id": "metered_price_yearly_001",
216 "price_tier": [
217 {
218 "flat_amount": 6000,
219 "per_unit_price": 2,
220 "per_unit_price_decimal": "0.02",
221 "up_to": 120000
222 }
223 ],
224 "product_external_id": "prod_ext_data_001",
225 "product_id": "prod_data_001",
226 "product_name": "Data Processing",
227 "provider_type": "orb",
228 "updated_at": "2024-01-15T09:30:00Z",
229 "usage_type": "metered",
230 "meter_event_name": "data_processed",
231 "meter_event_payload_key": "gigabytes",
232 "meter_id": "meter_data_001",
233 "nickname": "Yearly Data Processed",
234 "price_decimal": "160.00",
235 "tiers_mode": "graduated"
236 },
237 "metric_period": "all_time",
238 "metric_period_month_reset": "billing_cycle",
239 "plan": {
240 "created_at": "2023-11-20T10:00:00Z",
241 "description": "Enterprise plan with advanced features",
242 "icon": "amber",
243 "id": "plan_enterprise_001",
244 "name": "Enterprise Plan",
245 "plan_type": "plan",
246 "updated_at": "2024-01-10T12:00:00Z",
247 "company_id": "comp_987654321",
248 "copied_from_plan_id": null,
249 "audience_type": null
250 },
251 "price_behavior": "credit_burndown",
252 "rule_id_usage_exceeded": "rule_123456_exceeded",
253 "soft_limit": 10000,
254 "usage_based_product": {
255 "account_id": "acc_001",
256 "created_at": "2023-12-01T08:00:00Z",
257 "environment_id": "env_prod_01",
258 "external_id": "prod_ext_usage_001",
259 "is_active": true,
260 "name": "Usage Based Product",
261 "price": 0.05,
262 "product_id": "prod_usage_001",
263 "provider_type": "orb",
264 "quantity": 1000,
265 "updated_at": "2024-01-15T09:30:00Z",
266 "price_decimal": "0.05",
267 "currency": null
268 },
269 "usage_quantity": 5000,
270 "value_bool": true,
271 "value_credit": {
272 "burn_strategy": "expiration_priority",
273 "cost_editable": true,
274 "created_at": "2023-12-01T08:00:00Z",
275 "currency_prices": [
276 {
277 "currency": "USD",
278 "price": {
279 "currency": "USD",
280 "external_price_id": "ext_price_credit_001",
281 "id": "price_credit_001",
282 "interval": "month",
283 "interval_count": 1,
284 "price": 1000,
285 "provider_type": "orb",
286 "scheme": "per_unit",
287 "nickname": "Credit Monthly Price",
288 "price_decimal": "10.00"
289 }
290 }
291 ],
292 "default_expiry_unit": "billing_periods",
293 "default_rollover_policy": "expire",
294 "description": "Monthly credit for usage",
295 "id": "credit_001",
296 "name": "Monthly Usage Credit",
297 "updated_at": "2024-01-15T09:30:00Z",
298 "default_expiry_unit_count": 12,
299 "icon": "credit-card",
300 "plural_name": "Monthly Usage Credits",
301 "price": {
302 "currency": "USD",
303 "external_price_id": "ext_price_credit_001",
304 "id": "price_credit_001",
305 "interval": "month",
306 "interval_count": 1,
307 "price": 1000,
308 "provider_type": "orb",
309 "scheme": "per_unit",
310 "nickname": "Credit Monthly Price",
311 "price_decimal": "10.00"
312 },
313 "product": {
314 "account_id": "acc_001",
315 "created_at": "2023-12-01T08:00:00Z",
316 "environment_id": "env_prod_01",
317 "external_id": "prod_ext_credit_001",
318 "is_active": true,
319 "name": "Credit Product",
320 "price": 0.1,
321 "product_id": "prod_credit_001",
322 "provider_type": "orb",
323 "quantity": 100,
324 "updated_at": "2024-01-15T09:30:00Z",
325 "price_decimal": "0.10",
326 "currency": null
327 },
328 "singular_name": "Monthly Usage Credit"
329 },
330 "value_numeric": 42,
331 "value_trait": {
332 "created_at": "2023-12-01T08:00:00Z",
333 "display_name": "Customer Tier",
334 "entity_type": "company",
335 "hierarchy": [
336 "Bronze",
337 "Silver",
338 "Gold"
339 ],
340 "id": "trait_001",
341 "trait_type": "string",
342 "updated_at": "2024-01-10T12:00:00Z"
343 },
344 "value_trait_id": "trait_001"
345 }
346 ],
347 "params": {
348 "feature_id": "feat_analytics_001",
349 "feature_ids": [
350 "feat_analytics_001",
351 "feat_reporting_002"
352 ],
353 "ids": [
354 "pltl_1234567890",
355 "pltl_0987654321"
356 ],
357 "limit": 100,
358 "offset": 0,
359 "plan_id": "plan_enterprise_001",
360 "plan_ids": [
361 "plan_enterprise_001",
362 "plan_basic_002"
363 ],
364 "plan_version_id": "plvr_202401",
365 "plan_version_ids": [
366 "plvr_202401",
367 "plvr_202402"
368 ],
369 "q": "analytics",
370 "with_metered_products": true
371 }
372}
Was this page helpful?
Previous

Get plan entitlement

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Query parameters

feature_idstringOptional

Filter plan entitlements by a single feature ID (starting with feat_)

feature_idslist of stringsOptional

Filter plan entitlements by multiple feature IDs (starting with feat_)

idslist of stringsOptional

Filter plan entitlements by multiple plan entitlement IDs (starting with pltl_)

plan_idstringOptional

Filter plan entitlements by a single plan ID (starting with plan_)

plan_idslist of stringsOptional

Filter plan entitlements by multiple plan IDs (starting with plan_)

plan_version_idstringOptional

Filter plan entitlements by a single plan version ID (starting with plvr_)

plan_version_idslist of stringsOptional

Filter plan entitlements by multiple plan version IDs (starting with plvr_)

qstringOptional
Search for plan entitlements by feature or company name
with_metered_productsbooleanOptional
Filter plan entitlements only with metered products
limitlongOptional

Page limit (default 100)

offsetlongOptional

Page offset (default 0)

Response

OK
datalist of objects
paramsobject
Input parameters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error